## oneliner-el 0.3.6

=== debian/changelog ===
oneliner-el (0.3.6-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043219)
  * Apply dh_autoreconf[_clean]. (Closes: #1047770)

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 23:56:43 +0000

oneliner-el (0.3.6-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
    - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
      '-k' option is not supported since compat 12.
    - Closes: #965756

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 21 Apr 2022 11:01:29 -0300

oneliner-el (0.3.6-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:08:53 +0200

oneliner-el (0.3.6-9) unstable; urgency=medium

  * debian/rules: Use UTF-8 encoding texi file instead of EUC-JP.
  (Closes: #952253)
  * debian/control: Update Standards-Version.
  * debian/po/*.po: Use UTF-8 encoding instead of national encodings.

 -- OHURA Makoto <ohura@debian.org>  Tue, 26 Jan 2021 11:50:38 +0900

oneliner-el (0.3.6-8) unstable; urgency=medium

  * debian/emacsen-install: Check the existence of poe.elc before
    byte-compiling oneliner.el. (Closes: #866727).
  * debian/control: Add dependency on emacsen-common (>=2.0.8).
  * debian/emacsen-compat: Add compat file for emacsen-common.

 -- OHURA Makoto <ohura@debian.org>  Wed, 20 Dec 2017 02:16:08 +0900

oneliner-el (0.3.6-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS with newer texinfo.
    Thanks to Axel Beckert <abe@debian.org> for the patch.  Closes: #712321
  * Add debconf translation into Brazilian Portuguese (by Adriano Rafael Gomes).
     Closes: #719931
  * Add build-arch and build-indep targets to d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 19:54:13 +0100

oneliner-el (0.3.6-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #591342
    - Polish (Michał Kułach).  Closes: #657971
    - Italian (Francesca Ciceri).  Closes: #658202

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Feb 2012 07:21:26 +0100

oneliner-el (0.3.6-7) unstable; urgency=low

  * debian/po/ru.po: Add Russian debconf templates. (Closes: #549172)
  * debian/po/sv.po: Add Swedish debconf templates. (Closes: #504037)
  * deiban/po/es.po: Add Spanish debconf templates. (Closes: #512767)
  * debian/rules: Update config.sub and config.guess before running
    configure script.
  * Update debhelper compat version from 4 to 5.
  * debian/control:
    - Update Standards-Version.
    - Change emacs22 into emacs in Build-Depends-Indep.
  * debian/preinst: Remove unused script. (lintian)
  * debian/copyright: Update copyright notice. (lintian)
  * debian/config: Set -e option for shell script. (lintian)

 -- OHURA Makoto <ohura@debian.org>  Thu, 29 Oct 2009 23:25:53 +0900

oneliner-el (0.3.6-6) unstable; urgency=low

  * debian/po/nl.po: Added Dutch debconf templates. (Closes: #448011)
  * debian/po/pt.po: Added Portuguese debconf templates. (Closes: #432908)
  * debian/control:
    - Update Standards-Version.
    - Changed emacs21 into emacs22 in Build-Depends-Indep. (Closes: #434032)
  * debian/rules: Check if there is Makefile before running make
    distclean. (lintian)

 -- OHURA Makoto <ohura@debian.org>  Wed, 05 Dec 2007 23:58:13 +0900

oneliner-el (0.3.6-5) unstable; urgency=low

  * debian/po/de.po: Added German debconf templates. (Closes: #414589).
  * debian/control:
    - Update Standards-Version.
    - Moved debhelper from Build-Depends-Indep to Build-Depends.
    - Fixed package description. (Closes: #401970)

 -- OHURA Makoto <ohura@debian.org>  Sun,  1 Apr 2007 20:20:35 +0900

oneliner-el (0.3.6-4) unstable; urgency=low

  * Add Vietnamese debconf templates. (Closes: #316507).
  * debian/control: Update Standards-Version.
  * Update config.sub and config.guess.

 -- OHURA Makoto <ohura@debian.org>  Sat,  9 Jul 2005 23:30:17 +0900

oneliner-el (0.3.6-3) unstable; urgency=low

  * Add Czech debconf templates. (Closes: #283223).
  * debian/control: Rewrite short description.

 -- OHURA Makoto <ohura@debian.org>  Mon, 10 Jan 2005 15:55:20 +0900

oneliner-el (0.3.6-2) unstable; urgency=low

  * Add Catalan debconf templates, thanks to Aleix Badia i Bosch
  (Closes: #248742).
  * Update Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Thu, 13 May 2004 22:38:43 +0900

oneliner-el (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed Bug: "oneliner-el: handles temporary files insecurely",
  thanks to Tatsuya Kinoshita (Closes: #221019).

 -- OHURA Makoto <ohura@debian.org>  Tue,  9 Dec 2003 09:29:33 +0900

oneliner-el (0.3.5-2) unstable; urgency=low

  * Add French debconf templates, thanks to Christian Perrier
  (Closes: #220806).
  * Don't use -no-site-file option in emacsen-install.

 -- OHURA Makoto <ohura@debian.org>  Wed, 19 Nov 2003 19:52:29 +0900

oneliner-el (0.3.5-1) unstable; urgency=low

  * Initial Release. (closes: #216518)
  * Upstream forgets to include a document in tar.gz.  So, include this.
  * Apply patch from upstream CVS.

 -- OHURA Makoto <ohura@debian.org>  Wed, 22 Oct 2003 22:56:41 +0900
