=== debian/control ===
Source: oneliner-el
Section: editors
Build-Depends: debhelper-compat (= 13)
Priority: optional
Maintainer: OHURA Makoto <ohura@debian.org>
Build-Depends-Indep: docbook-to-man, emacs, texinfo, po-debconf
Standards-Version: 4.5.1

Package: oneliner-el
Architecture: all
Depends: emacsen-common (>=2.0.8), perl, apel, ${shlibs:Depends}, ${misc:Depends}
Description: extensions of Emacs standard shell-mode
 oneliner-el provides nice extensions for UNIX shell masters who
 love one-line scripts.  This package has the following functions:
 .
  - You can easily connect standard input or output of a command to
    an Emacs buffer.
  - You can sync the current directory of shell-mode and a shell
    process.
  - Oneliner-el can beep when command execution terminates.
  - Oneliner-el handles control codes.
